#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 solution for spell checking
Name:           sonnet
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core) 
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  pkgconfig(enchant)

BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires:  aspell-devel
BuildRequires:  hspell-devel
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libvoikko)

%description
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -f sonnet5_qt.lang
%_kf5_bindir/parsetrigrams
%_kf5_bindir/gentrigrams
%_kf5_plugindir/sonnet
%_kf5_datadir/kf5/sonnet

#--------------------------------------------------------------------

%define kf5sonnetui_major 5
%define libkf5sonnetui %mklibname kf5sonnetui %{kf5sonnetui_major}

%package -n %libkf5sonnetui
Summary:      KDE Frameworks 5 Tier 1 solution for spell checking
Group:        System/Libraries


%description -n %libkf5sonnetui
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -n %libkf5sonnetui
%_kf5_libdir/libKF5SonnetUi.so.%{kf5sonnetui_major}*

#--------------------------------------------------------------------

%define kf5sonnetcore_major 5
%define libkf5sonnetcore %mklibname kf5sonnetcore %{kf5sonnetcore_major}

%package -n %libkf5sonnetcore
Summary:      KDE Frameworks 5 Tier 1 solution for spell checking
Group:        System/Libraries


%description -n %libkf5sonnetcore
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -n %libkf5sonnetcore
%_kf5_libdir/libKF5SonnetCore.so.%{kf5sonnetcore_major}*

#--------------------------------------------------------------------

%define kf5sonnet_devel %mklibname kf5sonnetui -d

%package -n %kf5sonnet_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5sonnetui = %version-%release
Requires:       %libkf5sonnetcore = %version-%release
Requires:       %name = %version-%release

Provides:       %name-devel = %{version}-%{release}

%description -n %kf5sonnet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5sonnet_devel
%_kf5_includedir/SonnetUi
%_kf5_includedir/SonnetCore
%_kf5_includedir/sonnet_version.h
%_kf5_libdir/cmake/KF5Sonnet
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%cmake_kf5 -DHUNSPELL_MAIN_DICT_PATH=%{_datadir}/myspell
%make_build

%install
%make_install -C build

%find_lang_kf5 sonnet5_qt


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089007
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074579
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072242
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058397
- New version 5.27.0

* Fri Sep 09 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050936
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049247
- enable HSPELL, HUNSPELL and VOIKKO support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045152
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041378
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021972
- New version 5.23.0

* Sat May 14 2016 neoclust <neoclust> 5.22.0-2.mga6
+ Revision: 1015498
- Fix Requires of the devel package

* Fri May 13 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014592
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999671
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986369
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942295
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921318
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912953
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909861
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900515
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899507
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898959
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888332
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881423
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862984
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862695
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Mon Aug 03 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 860914
- Add fedora patch to detect dicts

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853829
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841617
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803385
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 738914
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 689247
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660457
- New version 5.1.0

* Tue Jul 08 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650545
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 645642
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611309
- New version 4.98.0

* Mon Mar 10 2014 neoclust <neoclust> 4.97.0-2.mga5
+ Revision: 601723
- Remove requires in lib package

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599740
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593115
- New version 4.96.0

* Tue Feb 11 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 589555
- imported package sonnet

